.header-menu__item-dropdown {
    position: relative;
}

.header-menu__dropdown {
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translateX(-50%);
    padding-top: 1rem;
    opacity: 0;
    visibility: hidden;
    transition: all .25s linear;
    pointer-events: none;
    z-index: 100;
}
@media (max-width:1240px) {
	.header-menu__dropdown {
		left: -30px;
		transform: none;
	}
}
@media (max-width:768px) {
	.header-menu__dropdown {
		left: 0;
	}
}
.header-menu__dropdown-list {
    background: var(--white);
    border-radius: .875rem;
    padding: 1rem;
    min-width: 15rem;
    box-shadow: 0 .5rem 1.5rem rgba(0, 0, 0, .1);
}

.header-menu__dropdown-item {
    margin-bottom: .25rem;
}

.header-menu__dropdown-item:last-child {
    margin-bottom: 0;
}

.header-menu__dropdown-link {
    display: block;
    padding: .625rem 1rem;
    border-radius: .5rem;
    transition: all .25s linear;
    white-space: nowrap;
}

.header-menu__dropdown-link:hover {
    background: var(--gray);
    color: var(--green);
}

@media (min-width:1024px) {
	.header-menu__item-dropdown:hover .header-menu__dropdown {
		opacity: 1;
		visibility: visible;
		pointer-events: auto;
	}

	.header-menu__item-dropdown:hover .header-menu__link .icon {
		transform: rotate(180deg);
	}
}

.header-menu__link .icon {
    transition: transform .25s linear;
}
.header-menu__item-dropdown.active .header-menu__link .icon {
	transform: rotate(180deg);
}
.header-menu__item-dropdown.active .header-menu__dropdown {
	opacity: 1;
	visibility: visible;
	pointer-events: visible;
}
/* @media (max-width:1240px) {
	.header-menu__item-dropdown > a {
		pointer-events: none;
	}
}
@media (max-width: 991px) {
    .header-menu__dropdown {
        display: none;
    }
} */
